summaryrefslogtreecommitdiffstats
path: root/bin/ls-bre
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ls-bre')
-rwxr-xr-xbin/ls-bre12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/ls-bre b/bin/ls-bre
new file mode 100755
index 000000000..ae978895c
--- /dev/null
+++ b/bin/ls-bre
@@ -0,0 +1,12 @@
+#! /bin/sh
+# ls-bre : directory -> BRE
+# Create a BRE from the files in a directory.
+set -euf
+
+ls "$1" \
+ | tr \\n / \
+ | sed '
+ s:[\.\[\\\*\^\$]:\\&:g
+ s:/$::
+ s:/:\\|:g
+ '